#include "stt_class.h"

void SttGenerator::DeleteTree(QuadTreeNode **p_tree)
{
	QuadTreeNode *current_node = *p_tree;

	if (current_node != nullptr)
	{
		for (int i = 0; i < 4; i++)
		{
			DeleteTree(&(current_node->children[i]));
		}

		delete current_node; current_node = nullptr;
	}

	return;
}